A branch in a command tree

### Hierarchy

- ICliBranchOptions
  - ICliBranch

## Index

### Properties

- description
- hidden
- kind
- name
- subcommands

## Properties

### Optional description

description: TCliDescription

Inherited from ICliBranch.description

- Defined in src/cli-branch.ts:13

A short description of this branch for command-line usage

### Optional hidden

hidden: undefined | false | true

Inherited from ICliBranch.hidden

- Defined in src/cli-branch.ts:16

If `true`, this branch will not appear in command-line usage

### kind

kind: typeof CLI_BRANCH

- Defined in src/cli-branch.ts:28

Used internally for discriminating between `ICliBranch`'s and `ICliCommand`'s

### name

name: string

Inherited from ICliBranch.name

- Defined in src/cli-branch.ts:10

Name of this command branch, typically a category like "user" or "cloud"

### subcommands

subcommands: (ICliBranch | ICliCommand<any, any, any>)[]

Inherited from ICliBranch.subcommands

- Defined in src/cli-branch.ts:19

`ICliBranch` and/or `ICliCommand`s underneath this branch

Generated using TypeDoc and MonoLisa